import { notes } from '$lib';
import type { PageLoad } from './$types';

export const load: PageLoad = async () => {
    try {
        await notes.load();
        return {
            status: 'success'
        };
    } catch (error) {
        console.error('Failed to load notes:', error);
        return {
            status: 'error',
            error: 'Failed to load notes'
        };
    }
};
